## ros-noetic-ros-industrial-cmake-boilerplate 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
include(cmake/extract_package_metadata.cmake)

extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version})

include(cmake/cmake_tools.cmake)

configure_package(
  CFG_EXTRAS
    cmake/cmake_tools.cmake
    cmake/code_coverage.cmake
    cmake/extract_package_metadata.cmake
)

install(DIRECTORY cmake DESTINATION lib/cmake/${PROJECT_NAME})

if (RICB_PACKAGE)
  cpack(
    VERSION
    ${pkg_extracted_version}
    MAINTAINER
    <https://github.com/tesseract-robotics/ros_industrial_cmake_boilerplate>
    VENDOR
    "ROS-Industrial"
    DESCRIPTION
    "${PROJECT_NAME}"
    LICENSE_FILE
    ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE
    ${CMAKE_CURRENT_LIST_DIR}/../README.rst
  )
endif()

=== debian/changelog ===
ros-noetic-ros-industrial-cmake-boilerplate (0.4.0-1buster) buster; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 20 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.3.1-1buster) buster; urgency=high

  * Fix code coverage macro to support plain visibility
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.3.0-1buster) buster; urgency=high

  * Fix target_code_coverage to support targets with plain visibility
  * Update target_cxx_version to support windows
  * Add missing include(GoogleTest) to find_gtest() macro
  * Update package CI to use colcon
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jul 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.16-1buster) buster; urgency=high

  * Always treat package description as a single string during extraction
  * Fix cpack to generate correct names for nuget packages (#64 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/64>)
  * Added CPack macro from tesseract (#62 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/62>)
  * Contributors: Josh Langsfeld, Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 22 Jun 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.15-1buster) buster; urgency=high

  * Add missing one value arg NAMESPACE to configure_package
  * Auto generation of *-config.cmake files for simple cases (#59 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/59>)
  * Contributors: Josh Langsfeld, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 30 Jan 2022 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.14-1buster) buster; urgency=high

  * Add newer version of clang-tidy to the list
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 03 Dec 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.13-1buster) buster; urgency=high

  * Add --output-on-failure to add_run_test_target
  * Remove deprecated variables
  * Add CXX_STANDARD_REQUIRED ON
  * Contributors: Levi Armstrong, Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 10 Nov 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.12-1buster) buster; urgency=high

  * Add colcon support
  * Improve configure_package
  * Contributors: Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 13 Oct 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.11-1buster) buster; urgency=high

  * Rename clang-tidy keyword ERRORS_CHECKS to ERROR_CHECKS
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.10-1buster) buster; urgency=high

  * Improve target_clang_tidy to support individual options over single argument list
  * Break out individual function from configure_package
  * Contributors: G.A. vd. Hoorn, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.9-1buster) buster; urgency=high

  * Add ENABLE functionality to initialize_code_coverage
  * Improve cpack package naming
  * Add cpack archive package
  * Add CPACK to build debian and nuget package
  * Extract description from package.xml
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 09 Apr 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.8-1buster) buster; urgency=high

  * Update package.xml to have buildtool_depend on cmake
  * Set gtest discovery mode to PRE_TEST
  * Moved include of GoogleTest into discover gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 08 Feb 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.7-1buster) buster; urgency=high

  * Add contributing file
  * Add license files and update documentation
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 29 Jan 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.6-1buster) buster; urgency=high

  * Rename package to ros_industrial_cmake_boilerplate
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 26 Jan 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.5-1buster) buster; urgency=high

  * Bump version

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.4-1buster) buster; urgency=high

  * Remove noetic.ignored which should go in the release repository

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.3-1buster) buster; urgency=high

  * Add noetic.ignored to exclude gtest package during bloom release

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.1-1buster) buster; urgency=high

  * Initial Release
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jan 2021 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-ros-industrial-cmake-boilerplate
Section: misc
Priority: optional
Maintainer: Levi Armstrong <Levi.Armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, cppcheck <!nocheck>, iwyu <!nocheck>, lcov <!nocheck>, libclang-dev <!nocheck>, libgtest-dev <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ros-industrial-cmake-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Contains boilerplate cmake script, macros and utils

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-industrial-cmake-boilerplate//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-ros-industrial-cmake-boilerplate//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-ros-industrial-cmake-boilerplate 0.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
     DESCRIPTION
     "${PROJECT_NAME}"
     LICENSE_FILE
-    ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
+    ${CMAKE_CURRENT_LIST_DIR}/LICENSE
     README_FILE
-    ${CMAKE_CURRENT_LIST_DIR}/../README.rst
+    ${CMAKE_CURRENT_LIST_DIR}/README.rst
   )
 endif()

=== debian/changelog ===
ros-noetic-ros-industrial-cmake-boilerplate (0.4.8-1focal) focal; urgency=high

  * Add code coverage executable RUN_COMMAND mulit-arg to support rostest (#80 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/80>)
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 17 Jul 2023 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.7-1focal) focal; urgency=high

  * Add python hook to install_ament_hooks
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 27 Jun 2023 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.6-1focal) focal; urgency=high

  * Fix artifacts directory in github actions (#77 <https://github.com/marip8/cmake_common_scripts/issues/77>)
  * Contributors: Chris Schindlbeck

 -- Levi Armstrong <levi.armstrong@gmail.com>  Mon, 06 Mar 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.5-1focal) focal; urgency=high

  * Make deps installation non-interactive (#76 <https://github.com/marip8/cmake_common_scripts/issues/76>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.4-1focal) focal; urgency=high

  * Removed sudo from CI commands (#75 <https://github.com/marip8/cmake_common_scripts/issues/75>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.3-1focal) focal; urgency=high

  * Fixed CI yaml file (#74 <https://github.com/marip8/cmake_common_scripts/issues/74>)
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.2-1focal) focal; urgency=high

  * Minor Updates (#73 <https://github.com/marip8/cmake_common_scripts/issues/73>)
    * Updated relative locations of license and README files
    * Updated debian build job to run on Ubuntu 20.04
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.1-1focal) focal; urgency=high

  * Organization Updates (#72 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/72>)
    * Removed ricb subdirectory
    * Updated maintainer information
  * Contributors: Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 28 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.4.0-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 20 Feb 2023 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.3.1-1focal) focal; urgency=high

  * Fix code coverage macro to support plain visibility
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.3.0-1focal) focal; urgency=high

  * Fix target_code_coverage to support targets with plain visibility
  * Update target_cxx_version to support windows
  * Add missing include(GoogleTest) to find_gtest() macro
  * Update package CI to use colcon
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 05 Jul 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.16-1focal) focal; urgency=high

  * Always treat package description as a single string during extraction
  * Fix cpack to generate correct names for nuget packages (#64 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/64>)
  * Added CPack macro from tesseract (#62 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/62>)
  * Contributors: Josh Langsfeld, Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 22 Jun 2022 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.15-1focal) focal; urgency=high

  * Add missing one value arg NAMESPACE to configure_package
  * Auto generation of *-config.cmake files for simple cases (#59 <https://github.com/ros-industrial/ros_industrial_cmake_boilerplate/issues/59>)
  * Contributors: Josh Langsfeld, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 30 Jan 2022 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.14-1focal) focal; urgency=high

  * Add newer version of clang-tidy to the list
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 03 Dec 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.13-1focal) focal; urgency=high

  * Add --output-on-failure to add_run_test_target
  * Remove deprecated variables
  * Add CXX_STANDARD_REQUIRED ON
  * Contributors: Levi Armstrong, Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 10 Nov 2021 06:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.12-1focal) focal; urgency=high

  * Add colcon support
  * Improve configure_package
  * Contributors: Levi-Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 13 Oct 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.11-1focal) focal; urgency=high

  * Rename clang-tidy keyword ERRORS_CHECKS to ERROR_CHECKS
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.10-1focal) focal; urgency=high

  * Improve target_clang_tidy to support individual options over single argument list
  * Break out individual function from configure_package
  * Contributors: G.A. vd. Hoorn, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 02 Jul 2021 05:00:00 -0000

ros-noetic-ros-industrial-cmake-boilerplate (0.2.9-1focal) focal; urgency=high

  * Add ENABLE functionality to initialize_code_coverage
  * Improve cpack package naming
  * Add cpack archive package


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-noetic-ros-industrial-cmake-boilerplate
 Section: misc
 Priority: optional
-Maintainer: Levi Armstrong <Levi.Armstrong@swri.org>
+Maintainer: Levi Armstrong <levi.armstrong@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), cmake, cppcheck <!nocheck>, iwyu <!nocheck>, lcov <!nocheck>, libclang-dev <!nocheck>, libgtest-dev <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2
